Enable External Sharing
This API helps to enable or disable the external share settings in a team folder.
Endpoints
OAuth Scope
WorkDrive.teamfolders.UPDATECopied!
curl --request PATCH \
--url https://www.zohoapis.com/workdrive/api/v1/settings/{teamfolder_id} \
--header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
--header 'content-type: application/vnd.api+json' \
--data '{"data":{"attributes":{"allow_external_sharing":true},"type":"settings"}}'Path Parameters
teamfolder_idstring(Required)
The unique ID of a team folder.
Request Body
application/vnd.api+jsonThe setting attributes to update for the specified resource, such as sharing permissions, file conversion, viewer download access, or device settings.
dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
allow_external_sharingboolean(Required)
Mention "true" to enable share setting. This allows files and folders to be shared externally from a team folder.
typestring(Required)
The JSON:API resource type. Always "settings".
Allowed Values :
Show Values ▾
settingsCopied!
Copy all as JSON Array
{
"data": {
"attributes": {
"allow_external_sharing": true
},
"type": "settings"
}
}
{
"data": {
"id": "ly9zm0170fb40015f4e2297a144e2b68cfa68",
"type": "settings",
"attributes": {
"allow_external_sharing": true,
"data_template_setting": {},
"create_file_as_draft": true,
"allow_ws_to_change_conversion": true,
"allow_my_folder_to_change_conversion": false,
"allow_create_ws": 0,
"email_in": {
"is_enabled": false,
"receive_external_mail": false
},
"is_external_share_enabled": true,
"enable_org_logo": false,
"is_document_conversion": false,
"can_viewer_download": true,
"setting_id": "ly9zm0170fb40015f4e2297a144e2b68cfa68"
},
"links": {
"self": "https://www.zohoapis.com/workdrive/settings/ly9zm0170fb40015f4e2297a144e2b68cfa68"
}
}
}
{
"errors": [
{
"id": "CFN001",
"title": "Custom function configuration failed"
}
]
}
{
"errors": [
{
"id": "R916",
"title": "External User Email share allowed domains limit exceeds"
}
]
}
{
"errors": [
{
"id": "A001",
"title": "Invalid action type passed"
}
]
}
{
"errors": [
{
"id": "U001",
"title": "User not logged in. Please Log in"
}
]
}
{
"errors": [
{
"id": "T028",
"title": "Cannot modify setting as external sharing is disabled in base parent"
}
]
}
{
"errors": [
{
"id": "T015",
"title": "Introduce local variable"
}
]
}
{
"errors": [
{
"id": "T024",
"title": "Cannot modify setting as external sharing is disabled in org"
}
]
}
{
"errors": [
{
"id": "T020",
"title": "Team admin not allowed to share document externally"
}
]
}
{
"errors": [
{
"id": "R004",
"title": "Invalid resourceId passed. Please use a valid resourceId"
}
]
}
{
"errors": [
{
"id": "R915",
"title": "Add or remove allowed domains/users if external user with allowed domain enabled"
}
]
}
{
"errors": [
{
"id": "R1102",
"title": "Custom Data Retention not Allowed for this edition"
}
]
}
{
"errors": [
{
"id": "R1103",
"title": "Currently, the custom app retention is enabled. Therefore, updating the delete retention days is not allowed."
}
]
}
{
"errors": [
{
"id": "F000",
"title": "General Exception"
}
]
}
© 2026, Zoho Corporation Pvt. Ltd. All Rights Reserved.